Bug 1566123 - pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
Summary: pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:01a940c0fb15303479f132707a5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 14:53 UTC by Yann Soubeyrand
Modified: 2019-05-28 22:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:24:46 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (1006.53 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: anaconda.log (58.25 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: dbus.log (2.79 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: environ (636 bytes, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: lorax-packages.log (25.68 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: lsblk_output (1.92 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: nmcli_dev_list (2.87 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: os_info (529 bytes, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: program.log (55.32 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: storage.log (210.54 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: syslog (451.98 KB, text/plain)
2018-04-11 14:53 UTC, Yann Soubeyrand
no flags Details
File: ifcfg.log (8.17 KB, text/plain)
2018-04-11 14:54 UTC, Yann Soubeyrand
no flags Details

Description Yann Soubeyrand 2018-04-11 14:53:22 UTC
Description of problem:
The problem happened during an installation with manual partitionning:
— 256 Mio for the EFI system partition mounted on /boot/efi,
— 768 Mio for the boot partition formatted as ext4 and mounted on /boot,
— 7 Gio for the root partition formatted as btrfs and mounted on /.

Version-Release number of selected component:
anaconda-28.22.2

The following was filed automatically by anaconda:
anaconda 28.22.2 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1583, in write_config
    raise BootLoaderError("failed to write boot loader configuration")
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1774, in write
    self.write_config()  # pylint: disable=no-member
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2473, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2501, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 366, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-AH-ostree-x86_64-28 rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.0-0.rc4.git0.1.fc28.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        28

Comment 1 Yann Soubeyrand 2018-04-11 14:53:32 UTC
Created attachment 1420373 [details]
File: anaconda-tb

Comment 2 Yann Soubeyrand 2018-04-11 14:53:35 UTC
Created attachment 1420374 [details]
File: anaconda.log

Comment 3 Yann Soubeyrand 2018-04-11 14:53:36 UTC
Created attachment 1420375 [details]
File: dbus.log

Comment 4 Yann Soubeyrand 2018-04-11 14:53:38 UTC
Created attachment 1420376 [details]
File: environ

Comment 5 Yann Soubeyrand 2018-04-11 14:53:41 UTC
Created attachment 1420377 [details]
File: lorax-packages.log

Comment 6 Yann Soubeyrand 2018-04-11 14:53:42 UTC
Created attachment 1420378 [details]
File: lsblk_output

Comment 7 Yann Soubeyrand 2018-04-11 14:53:44 UTC
Created attachment 1420379 [details]
File: nmcli_dev_list

Comment 8 Yann Soubeyrand 2018-04-11 14:53:46 UTC
Created attachment 1420380 [details]
File: os_info

Comment 9 Yann Soubeyrand 2018-04-11 14:53:48 UTC
Created attachment 1420381 [details]
File: program.log

Comment 10 Yann Soubeyrand 2018-04-11 14:53:52 UTC
Created attachment 1420382 [details]
File: storage.log

Comment 11 Yann Soubeyrand 2018-04-11 14:53:57 UTC
Created attachment 1420383 [details]
File: syslog

Comment 12 Yann Soubeyrand 2018-04-11 14:54:00 UTC
Created attachment 1420384 [details]
File: ifcfg.log

Comment 13 Benjamin Hiebert 2018-09-13 00:32:53 UTC
Similar problem has been detected:

Attempted to install on a custom BTRFS partition setup, running in Oracle VirtualBox

addons:         com_redhat_docker, com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-AW-ostree-x86_64-28 rd.live.check quiet
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
package:        anaconda-28.22.10
packaging.log:  
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
release:        Cannot get release name.
version:        28

Comment 14 Ben Cotton 2019-05-02 20:56:30 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 22:24:46 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.